> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Oauth Token

> Refresh an OAuth access token for a connection.

This endpoint refreshes expired OAuth tokens using the refresh token.
It updates the credential with the new tokens.

**Example:**
```
POST /oauth/refresh/conn_abc123
```

**Response:**
```json
{
    "status": "success",
    "connection_id": "conn_abc123",
    "expires_at": "2025-10-19T12:00:00Z"
}
```



## OpenAPI

````yaml api-reference/openapi.json post /api/v1/oauth/refresh/{connection_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/oauth/refresh/{connection_id}:
    post:
      tags:
        - OAuth
      summary: Refresh Oauth Token
      description: |-
        Refresh an OAuth access token for a connection.

        This endpoint refreshes expired OAuth tokens using the refresh token.
        It updates the credential with the new tokens.

        **Example:**
        ```
        POST /oauth/refresh/conn_abc123
        ```

        **Response:**
        ```json
        {
            "status": "success",
            "connection_id": "conn_abc123",
            "expires_at": "2025-10-19T12:00:00Z"
        }
        ```
      operationId: refresh_oauth_token_api_v1_oauth_refresh__connection_id__post
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            title: Connection Id
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````